GROUPMOD(8)

NOM
groupmod - Modifier la définition d'un groupe du système

SYNOPSIS

groupmod [options] GROUPE

DESCRIPTION

La commande groupmod modifie la définition du GROUPE spécifié en modifiant l'entrée correspondante de la base de données des groupes.

OPTIONS

Les options disponibles pour la commande groupmod sont :

-g, --gid GID
    Indiquer la nouvelle Valeur numérique de l'identifiant du GROUPE (« group ID » ou GID). La valeur de GID doit être un entier décimal non négatif. Cette valeur doit être unique, à moins que l'option -o ne soit utilisée. Les valeurs comprises entre 0 et 999 sont généralement réservées aux comptes système. Vous devrez modifier vous-même le groupe propriétaire de tous les fichiers possédés par ce groupe.

-h, --help
    Afficher un message d'aide et quitter.

-n, --new-nameNOUVEAU_NOM_GROUPE
    Le nom du groupe sera modifié de GROUPE vers NOUVEAU_NOM_GROUPE.

-o, --non-unique
    En combinaison avec l'option -g, cette option permet de changer l'identifiant du groupe vers une valeur déjà utilisée.

FICHIERS

/etc/group
    Informations sur les groupes.

/etc/gshadow
    Informations sécurisées sur les groupes.

VALEURS DE RETOUR

La commande groupmod retourne les valeurs suivantes en quittant :

0   succès

2   erreur de syntaxe

3   paramètre non valable pour l'option

4   le groupe spécifié n'existe pas

6   le groupe spécifié n'existe pas

9   nom de groupe déjà utilisé

10  impossible de mettre à jour le fichier des groupes

VOIR AUSSI

chfn(1), chsh(1), passwd(1), gpasswd(8), groupadd(8), groupdel(8), useradd(8), userdel(8), usermod(8).